Index: trunk/server/common/oursrc/accountadm/cronload
===================================================================
--- trunk/server/common/oursrc/accountadm/cronload	(revision 2308)
+++ trunk/server/common/oursrc/accountadm/cronload	(revision 2313)
@@ -1,6 +1,16 @@
 #!/bin/sh
+
+if [ -z "$1" ]; then
+  echo "ERROR: please specify a crontab file" >&2
+  exit 1
+fi
 
 if [ -n "$2" ]; then
   cd "$2"
+fi
+
+if [ ! -f "$1" ]; then
+  echo "ERROR: file does not exist" >&2
+  exit 1
 fi
 
